{ stdenv, pkgs, fetchurl, lib, ... }:

stdenv.mkDerivation {
  pname = "taskwarrior-web";
  version = "2025-04-01";

  src = fetchurl {
    url = "https://github.com/tmahmood/taskwarrior-web/releases/download/2025-04-01/tw-web-2025-04-01.tar.gz";
    sha256 = "sha256-1zEW9fEqZiQ1vWfB1rWSrJz7k+oaYZuHb9AA/9lpEZY=";
  };

  nativeBuildInputs = [ pkgs.gnutar ];

  unpackPhase = ''
    mkdir tww
    tar -zxvf $src -C tww
  '';

  installPhase = ''
    mkdir -p $out/bin
    cp -r tww/* $out/bin
  '';

  meta = with lib; {
    homepage = "";
    description = "";
    platforms = platforms.linux;
  };
}
